Subject: RE: bug#41087: 27.0.91; How to remove Emacs 27 changes to minibuffer?

From: Drew Adams <[email-masked]>
Date: Mon, 4 May 2020 21:35:05 -0700 (PDT)

> > Emacs 27 is unfortunately _totally_ unusable for me.  Cannot do the
> > slightest thing.
> 
> Please provide at least some examples of the difficulties.  It's hard
> to say anything intelligent without that much.

I can't at this point.  I simply can't use it at all.
It will take a very long time, I expect, to figure
anything out about it.  I spent quite a while in the
Lisp debugger today, and didn't scratch the surface.

I don't have time for this now, I'm afraid.  I'll
have to hope that others encounter problems that are
related and later I'll perhaps get a pretest candidate
that I can use to further find out what's wrong.

If no one else runs into related problems then I'll
have to get into it at some point, no doubt.  But
I likely won't have the time to do that for quite
a while.  I don't want this to be the end of my use
of Emacs (e.g. staying forever with 26.3), but that
might need to be the case.

> > I think that some of the problems come from the changes to minibuffer
> > and echo-area behavior.

I really don't know that, so ignore that thought.
I do want to undo such changes, but I don't have
a clue whether they might be causing deeper problems.

> > Regardless of whether that is the case, I want
> > to undo those changes.  Is there an option for that? (I hope so.)  If
> > not, what changes do I need to make from Lisp, to get back the prior
> > behavior?
> 
> The NEWS mentions a few variables that should allow you to do that,
> but without knowing what you want to undo, it is hard to say more.

I didn't notice such variables.  Anyway, I'll worry
about that later, and just assume for now that it's
not at the root of the bigger problems I have.

But yes, I don't want minibuffer-message replacing
messge whenever the minibuffer is active, etc.  I
want the echo area as it was and minibuffer-message
and message as they were.

I realize that this bug report doesn't help anything
at this point.  I guess the message for now is that
my Emacs is completely broken - can't even begin to
use it for anything.  In particular, my *Completions*
buffer is shown in a separate frame, whose focus is
redirected to the minibuffer.  That's essentially
broken now.

There seems to be some additional handle-switch-frame,
which breaks that relation somehow (?), so typing in
the minibuffer, and then hitting TAB, which pops up
the *Completions* frame, takes input focus away from
the minibuffer frame (and gives it to the *Completions*
frame, which is read-only).

My setup works with each Emacs release, from 20 to 26.

I know this is all very vague.  Sorry.